curl --request POST \
--url https://api.uplift.ai/v1/athletes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "<string>",
"email": "<string>",
"phone": "<string>",
"height": 123,
"weight": 123,
"positions": [
"<string>"
],
"custom_attributes": {}
}
'import requests
url = "https://api.uplift.ai/v1/athletes"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "<string>",
"email": "<string>",
"phone": "<string>",
"height": 123,
"weight": 123,
"positions": ["<string>"],
"custom_attributes": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
date_of_birth: '<string>',
email: '<string>',
phone: '<string>',
height: 123,
weight: 123,
positions: ['<string>'],
custom_attributes: {}
})
};
fetch('https://api.uplift.ai/v1/athletes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"athlete": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"gender": "male",
"dominant_arm": "left",
"dominant_leg": "left",
"activity": "baseball",
"positions": [
"<string>"
],
"competition_level": "youth",
"height": 123,
"weight": 123,
"custom_attributes": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "BadRequest",
"message": "The request parameters are invalid. Please review the request and try again."
}{
"error": "Unauthorized",
"message": "Bearer token is missing or invalid."
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"error": "TooManyRequests",
"message": "The rate limit has been exceeded. Please wait and try again later."
}{
"error": "InternalServerError",
"message": "An unexpected error occurred on the server. Please try again later."
}Create Athlete
Creates a new athlete within an organization. The user must provide at least the first_name field. Other standard attributes, while optional, are recommended. Any additional attributes that are not part of the predefined standard attributes should be included as custom_attributes.
Custom Attributes
custom_attributes(object)- A set of user-defined key-value pairs for additional attributes.
- Key Format Rules:
- Must contain only alphanumeric characters, underscores (
_), or dashes (-). - Must start with a letter or underscore.
- Must avoid spaces and special characters (e.g.,
@,#,$, etc.). - Reserved keywords (e.g.,
first_name,last_name,date_of_birth,email,height,weight, andDOB) cannot be used as keys.
- Must contain only alphanumeric characters, underscores (
- Value:
- Must be a string.
Example Request Body
{
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-01-01",
"email": "john.doe@example.com",
"height": 70,
"weight": 180,
"custom_attributes": {
"team": "Team A",
"position": "left fielder"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The first name of the athlete.
Note: This is the minimum required field.
The last name of the athlete.
The date of birth of the athlete, formatted as YYYY-MM-DD
The athlete's email address.
The athlete's phone number.
The athlete's gender. Allowed values: male, female, non-binary, prefer_not_to_say.
male, female, non-binary, prefer_not_to_say The height of the athlete, in inches.
The weight of the athlete, in pounds (lbs).
Dominant arm. Allowed values: left, right, both.
left, right, both Dominant leg. Allowed values: left, right, both.
left, right, both Primary sport or activity. Allowed values: baseball, softball, tennis, basketball, golf.
baseball, softball, tennis, basketball, golf Positions for the athlete's activity. Requires activity to be set. baseball/softball: pitcher, catcher, first_base, second_base, third_base, shortstop, left_field, center_field, right_field, designated_hitter. basketball: point_guard, shooting_guard, small_forward, power_forward, center.
Competition level. Allowed values: youth, high_school, college, professional.
youth, high_school, college, professional A set of custom key-value attributes. Keys must be strings, and values must also be strings.
Show child attributes
Show child attributes
Response
Athlete created successfully.
Show child attributes
Show child attributes